libapache2-mod-rivet (3.3.0-1) unstable; urgency=medium

  * New upstream release
  * Remove Priority: field from debian/control as per standards version 4.7.3
  * Standards version 4.7.4 compliance
  * Remov FSF physical address from GPL copyright (lintian warning)

 -- Massimo Manghi <mxmanghi@apache.org>  Tue, 04 Aug 2026 07:26:29 +0000

libapache2-mod-rivet (3.2.8-1) unstable; urgency=medium

  * Standards version 4.7.2 compliance
  * New upstream release 
  * Build a comprehensive patch for Makefile.am. One of the previous series
    of patches didn't apply anymore

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 16 Nov 2025 17:52:31 +0100

libapache2-mod-rivet (3.2.6-1) unstable; urgency=medium

  * New upstream release

 -- Massimo Manghi <mxmanghi@apache.org>  Tue, 12 Nov 2024 23:00:26 +0000

libapache2-mod-rivet (3.2.5-1) unstable; urgency=medium

  * New upstream release
  * Standards version 4.7.0 compliance
  * Created armored version of the binary keyring as suggested by uscan
  * Update copyright years for rivet sources
  * Removed year from debian/* copyright

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 23 May 2024 03:02:22 +0000

libapache2-mod-rivet (3.2.4-1) unstable; urgency=medium

  * New upstream release 

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 18 Feb 2024 12:16:00 +0000

libapache2-mod-rivet (3.2.3-1) unstable; urgency=medium

  * New upstream release
  * Checked compliance to standards version 4.6.2
  * Adding the Forwarded field in the patches that are not meant to be
    forwarded upstream. Reinstating the the DEP-3 structure that was
    somehow removed from 3 of 4 patches

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 26 Oct 2023 06:46:13 +0000

libapache2-mod-rivet (3.2.2-1) unstable; urgency=medium

  * New upstream release
  * Unapplying patch var_get_memory_leak as patch was integrated in this
    release
  * Compliance with Debian policy standards v4.6.1 checked
  * Add copyright reference for various libtool related m4 files that
    were copied by the recent tcl.m4 upgrade
  * Rephrase the Jan 5th entry in a hopefully more intelligible english

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 23 Jun 2022 09:37:52 +0000

libapache2-mod-rivet (3.2.1-5) unstable; urgency=medium

  * Apply patch from upstream source code repository in order to fix
    memory leak in Rivet_Var (implements ::rivet::var ::rivet::var_qs and
    ::rivet::var_post)

 -- Massimo Manghi <mxmanghi@apache.org>  Mon, 14 Feb 2022 15:57:24 +0100

libapache2-mod-rivet (3.2.1-4) unstable; urgency=medium

  * Make dh_install operate only on libapache2-mod-rivet binary package
    thus excluding libapache2-mod-rivet-doc (Closes: #1003146)
  * Amending former changelog entry erroneously citing a depend on
    the apache2 build scripts that had been added and then removed in the
    process of developing the new packaging scripts
  * Restricting dh_auto_configure to architecture depend build
  * Now correctly citing standards version 4.6.0

 -- Massimo Manghi <mxmanghi@apache.org>  Wed, 05 Jan 2022 12:30:30 +0100

libapache2-mod-rivet (3.2.1-3) unstable; urgency=medium

  * Changing debian/rules in order to exploit the Debian sequencer
  * Changing URL in debian/watch after ASF moved to a CDN based distribution
  * Add patches to remove handling of the doc directory. We assume the
    original tar ball is delivering HTML docs that don't need preparation
  * Add patch to selectively copy mod_rivet tcl commands files only
  * Removed trailing whitespace from lines in changelog
  * Explicitly mentioned NMU in last changelog entry, as demanded by lintian
  * Add copyright notice for README.md
  * Remove copyright notice for LICENSE. It's not necessary
  * Update debian/watch version
  * Debian standard compliance checked up to standards version 4.6.0.1

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 26 Dec 2021 22:42:26 +0100

libapache2-mod-rivet (3.2.1-2) unstable; urgency=medium

  * NMU to unstable - the upload of 3.2.1-1 to stable
    was a mistake.

 -- Sven Hoexter <hoexter@debian.org>  Sun, 14 Nov 2021 13:54:56 +0100

libapache2-mod-rivet (3.2.1-1) stable; urgency=medium

  * New upstream release.
  * New rivet version addresses issue with multiple AM_AUTOMAKE_INIT
    expansion (Closes: #998490).
  * Correcting the name of the target directory where rivet library and
    Tcl scripts are moved into (it still had the old 3.1 version name)

 -- Massimo Manghi <mxmanghi@apache.org>  Sat, 13 Nov 2021 18:35:38 +0100

libapache2-mod-rivet (3.2.0-1) unstable; urgency=medium

  * New upstream release
  * Validated standards compliance up to 4.5.0

 -- Massimo Manghi <mxmanghi@apache.org>  Mon, 09 Nov 2020 09:28:09 +0100

libapache2-mod-rivet (3.1.1-1) unstable; urgency=medium

  * New upstream release
  * Add missing copyright references
  * Checked 4.3.0 standards

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 13 Jan 2019 16:42:32 +0100

libapache2-mod-rivet (3.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 29 Nov 2018 23:15:17 +0100

libapache2-mod-rivet (3.0.2-3) unstable; urgency=medium

  * Depending on tcl-itcl4 as an alternative for the Itcl OO extension

 -- Massimo Manghi <mxmanghi@apache.org>  Mon, 29 Oct 2018 23:43:48 +0100

libapache2-mod-rivet (3.0.2-2) unstable; urgency=medium

  * Problem with changelog.Debian fixed as demanded by lintian
  * Moving SQL code and examples in rivet/packages to their destination
    in /usr/share/doc
  * Removed from 'rules' now unneded installation file handling as
    everything is supposed to be properly done in the patched Makefile.am
  * Now compliant with the new standards version

 -- Massimo Manghi <mxmanghi@apache.org>  Tue, 18 Sep 2018 23:32:38 +0200

libapache2-mod-rivet (3.0.2-1) unstable; urgency=medium

  * New upstream release
  * Checked standards compliance up to 4.1.5

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 15 Jul 2018 18:48:36 +0200

libapache2-mod-rivet (3.0.1-1) unstable; urgency=medium

  * New upstream release
  * Raised compat level to 11, removed build-dependency on dh-autoreconf
  * Fixed URL of Debian copyright-format
  * Fixed a2dismod invocation in prerm script (it disabled package 'foo'!)
  * Removed conditional enabling of the module based on the MPM:
    we support also the 'worker' and 'event' MPM
  * Installing also the NOTICE file in libapache2-mod-rivet-docs package
  * Checked stardards up to level 4.1.3

 -- Massimo Manghi <mxmanghi@apache.org>  Mon, 12 Feb 2018 18:53:17 +0100

libapache2-mod-rivet (2.3.5-1) unstable; urgency=medium

  *  New upstream release

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 12 Nov 2017 15:49:40 +0100

libapache2-mod-rivet (2.3.4-1) unstable; urgency=medium

  * New upstream release
  * Changing Priority line in control file from 'extra' to 'optional'
    as per Debian standards version 4.0.1
  * add dh_autoreconf_clean debhelper macro

 -- Massimo Manghi <mxmanghi@apache.org>  Sat, 12 Aug 2017 01:03:00 +0200

libapache2-mod-rivet (2.3.3-1) unstable; urgency=medium

  * New upstream release
  * Add 'Multi-Arch: foreign' control line to package
    libapache2-mod-rivet doc as suggested by the
    Multiarch hinter directives

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 01 Dec 2016 00:25:48 +0100

libapache2-mod-rivet (2.3.2-1) unstable; urgency=medium

  * New upstream release
  * Setting new standard version to 3.9.8

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 22 Sep 2016 23:43:36 +0200

libapache2-mod-rivet (2.3.1-1) unstable; urgency=medium

  * New upstream release fixes a bug in package 'form'

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 17 Apr 2016 23:07:44 +0200

libapache2-mod-rivet (2.3.0-1) unstable; urgency=medium

  * New upstream version
  * Checked compliance with 3.9.7 version of Debian standards
  * Add bindnow hardening buildflag as demanded by lintian

 -- Massimo Manghi <mxmanghi@apache.org>  Wed, 30 Mar 2016 23:35:41 +0200

libapache2-mod-rivet (2.2.4-1) unstable; urgency=medium

  * New upstream version

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 06 Dec 2015 19:44:19 +0100

libapache2-mod-rivet (2.2.3-1) unstable; urgency=medium

  * New upstream version
  * Fix wrong links in manual page

 -- Massimo Manghi <mxmanghi@apache.org>  Sat, 23 May 2015 21:03:41 +0200

libapache2-mod-rivet (2.2.2-1) unstable; urgency=medium

  * Packaging new upstream release 2.2.2
  * Update copyright file that missed information for m4/ax_split_version.m4
  * Installing the HTML manual from original archive skipping the generation
    stage. The manual has a Docbook macro which prints a timestamp and makes
    package build basically unreproducible

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 19 Apr 2015 16:59:48 +0200

libapache2-mod-rivet (2.2.1-1) unstable; urgency=medium

  * Packaging new upstream release

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 22 Jan 2015 16:13:06 +0100

libapache2-mod-rivet (2.2.0-2) unstable; urgency=medium

  * Fixing lintian warnings because of improper usage of * in copyright
    lines

 -- Massimo Manghi <mxmanghi@apache.org>  Mon, 17 Nov 2014 01:25:03 +0100

libapache2-mod-rivet (2.2.0-1) unstable; urgency=medium

  * New upstream release 2.2.0

 -- Massimo Manghi <mxmanghi@apache.org>  Tue, 17 Jun 2014 20:34:57 +0200

libapache2-mod-rivet (2.1.4-2) unstable; urgency=low

  * Debian watch file has now information to verify upstrem tarball
    signature
  * Duplicate png file removed from package

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 16 Mar 2014 00:48:31 +0100

libapache2-mod-rivet (2.1.4-1) unstable; urgency=low

  * New upstream release 2.1.4
  * Starting with 2.1.4 autoconf build scripts were reorganized to
    allow idempotent build of rivet (Closes: #725681)
  * Verified compliance with level 3.9.5 of the standards

 -- Massimo Manghi <mxmanghi@apache.org>  Wed, 05 Mar 2014 00:11:31 +0100

libapache2-mod-rivet (2.1.3-1) unstable; urgency=low

  * New upstream code 2.1.3
  * Removed package dh-apache2 from Build-Depends
  * Undone patch removing distclean target from doc/Makefile.am

 -- Massimo Manghi <mxmanghi@apache.org>  Wed, 02 Oct 2013 11:44:17 +0200

libapache2-mod-rivet (2.1.2-1) unstable; urgency=low

  * New upstream code released 2.1.2
  * Undoing patch for src/apache-2/mod_rivet.c fixing unsecure call to
    ap_log_error

 -- Massimo Manghi <mxmanghi@apache.org>  Tue, 18 Jun 2013 23:59:26 +0200

libapache2-mod-rivet (2.1.1-3.1) unstable; urgency=low

  * Non-maintainer mea culpa upload.
  * Revert the Build-Depends-Indep split - doesn't work this way currently.
    (Closes: #711189)

 -- Sven Hoexter <hoexter@debian.org>  Wed, 05 Jun 2013 20:52:56 +0200

libapache2-mod-rivet (2.1.1-3) unstable; urgency=low

  [ Massimo Manghi ]
  * Fix "Apache 2.4 moves to Unstable" repackaging to complete sourceful
    transition to new packaging for Apache 2.4 (Closes: #709471)

  [ Sven Hoexter]
  * Build-Depend on debhelper >= 9 for compat level 9.
  * Split of Build-Depends-Indep for the -doc package.

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 30 May 2013 15:24:41 +0200

libapache2-mod-rivet (2.1.1-2) unstable; urgency=low

  * Changing build dependency from tcl8.5-dev to tcl-dev as Tcl 8.5
    is the current Debian default. This should also fix a problem
    with Ubuntu which already is using a multiarch configuration script
    in /usr/lib/tclConfig.sh

 -- Massimo Manghi <mxmanghi@apache.org>  Wed, 24 Apr 2013 23:36:55 +0200

libapache2-mod-rivet (2.1.1-1) unstable; urgency=low

  * New upstream release 2.1.1
  * Unapplied patches now incorporated in the original source code
  * Standards revised to conform new version 3.9.4
  * Package section changed to 'httpd' and priority changed to 'optional'
    as recommended by Debian's latest changes to policy

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 28 Feb 2013 22:18:57 +0100

libapache2-mod-rivet (2.1.0-1) unstable; urgency=low

  * New upstream release 2.1.0
  * Applied patches to fix minor bugs in version 2.1.0, improve
    command '::rivet::headers' error reporting.
  * Manual generation target patched and output generated using utf-8
    encoding.
  * Adding docbook-xml to build depends line in control.
  * Add command removing .la files generated by the build process for
    librivet and librivetparser

 -- Massimo Manghi <mxmanghi@apache.org>  Mon, 21 Jan 2013 23:59:58 +0100

libapache2-mod-rivet (2.0.5-1) unstable; urgency=low

  * New upstream release 2.0.5
  * postinst and prerm scripts following specifications dictated by
    sourceful transition to Apache 2.4 undone and old Apache 2.2 style
    scripts reinstated
  * copyright file expanded
  * Drop the CHANGES and TODO file from the package, the content is
    currently meaningless and outdated.

 -- Massimo Manghi <mxmanghi@apache.org>  Fri, 29 Jun 2012 11:24:42 +0200

libapache2-mod-rivet (2.0.4-3) experimental; urgency=low

  * Fix "sourceful transition towards Apache 2.4" The binary package
    should not assume apache2 is installed, hence postinst might exit
    without enabling the module. (Closes: #666828)

 -- Massimo Manghi <mxmanghi@apache.org>  Tue, 24 Apr 2012 13:39:28 +0200

libapache2-mod-rivet (2.0.4-2) experimental; urgency=low

  * Fix "sourceful transition towards Apache 2.4" by adding recommended
    macro and procedure calls (Closes: #666828)
  * Removed build depends on docbook toolchain. Manual is not created during
    package build, the html output shipped with the upstream tarball is
    copied into libapache2-mod-rivet-doc
  * Introduced compilation hardening flags to debian/rules and an unused
    variable has been removed. Created dquilt patch to be applied to
    src/apache-2/mod_rivet.c (mod_rivet-hardening.patch)
  * added libtool to BuildDepends since automake doesn't depend on it,
    still we are using it to produce the mod_rivet.so shared library.
  * unused definition of DH_OPTIONS removed from 'rules'
  * compilation flags commented (and therefore unused) removed from debian/rules
  * in 'rules' build-stamp target removed from list of phony targets

 -- Massimo Manghi <mxmanghi@apache.org>  Tue, 10 Apr 2012 17:08:53 +0200

libapache2-mod-rivet (2.0.4-1) unstable; urgency=low

  * New upstream release 2.0.4
  * Remove debian/patches/makefile_am.diff - included upstream.
  * Package documentation tag set to 'Web Programming' in
    debian/libapache2-mod-rivet-doc.doc-base

 -- Massimo Manghi <mxmanghi@apache.org>  Wed, 21 Sep 2011 22:20:30 +0200

libapache2-mod-rivet (2.0.3-2) unstable; urgency=low

  * Added installation targets for removing unneeded .la libtool files
    (Closes: #621613)
  * Removed redundant lines of code from debian/libapache2-mod-rivet.postist
  * Debian script examined in order to check compliance with package
    standard 3.9.2
  * Added 'automake' to list of Build-Depends

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 14 Apr 2011 22:40:27 +0200

libapache2-mod-rivet (2.0.3-1) unstable; urgency=low

  * New release 2.0.3

 -- Massimo Manghi <mxmanghi@apache.org>  Sat, 19 Mar 2011 02:19:17 +0100

libapache2-mod-rivet (2.0.2-1) unstable; urgency=low

  * Initial package of Rivet for Debian
  * Closes: #599446, #599447

 -- Massimo Manghi <mxmanghi@apache.org>  Mon, 11 Oct 2010 15:22:19 +0200
